{% extends 'test_base_2.html' %}

{% block title %} Historical Data {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    {{ super() }} {# referring to content in parent templates #}
{% endblock %}

{% block content %}

<main class="content">

  <div class="container-fluid p-0">

      <!-- container with title and breadcrumb -->
      <div class="row mb-2 mb-xl-3">
          <div class="col-auto d-none d-sm-block">
              <h3><strong>Historische</strong> Daten</h3>
          </div>

          <div class="col-auto ml-auto text-right mt-n1">
              <nav aria-label="breadcrumb">
                  <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                      <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                      <li class="breadcrumb-item active" aria-current="page">Historische Daten</li>
                  </ol>
              </nav>
          </div>
          <br />
          <br />
      </div>

      <!-- buttons for different views -->
      <a class="btn btn-primary" href="/historical_data/sensors" role="button">Daten von Sensoren</a>
      <!-- <a class="btn btn-primary" href="/historical_data/sensors_2" role="button">Ausgewählte Daten von Sensoren</a> -->
      <!-- <a class="btn btn-primary" href="/historical_data/quality" role="button">Qualität des Produktes</a> -->
      <br />
      <br />

      <div class="d-sm-flex p-2">
        {% if data_title %}
          <h4>{{data_title}}</h4>
        {% else %}
          <h4>Klicke auf einen Button, um die dazugehörigen Daten anzuzeigen.</h4>
        {% endif %}
      </div>

      <a class="btn btn-danger" role="button" href="/static/assets/download_files/test_data.csv"
      download="test_image.jpg">
      Download
      </a>
      <br />
      <br />


      {% block more_content %}{% endblock %}

<!-- TODO: - user should be able to look for something specific -> add search field
           - create SQL views to show data from different tabels
           - Qualität der Daten mit Produktinfos & prediction of model zusammen darstellen
           - Buttons einfügen, um zusammengestellte Infos anzuzeigen
           - Daten von Sensoren graphisch darstellen
           - charts.js zum Graphen erstellen anschauen
-->

  </div>
</main>

{% endblock %}

{% block javascripts %}
{{ super() }}

{% endblock %}
